#!/usr/bin/perl -w
use CPAN;

my $dest   = shift || die("USAGE: ./get_from_cpan.pl cpan_dest_dir\n");

system( "cp ./install_subs.pl $dest" );
system( "cp ./get_from_cpan.pl $dest" );

my @moduls = (
"URI",  
"Sub::Uplevel",                      
"Test::Builder::Tester",
"Test::Tester",
"Test::NoWarnings",
"Test::Deep",
"Test::Exception",
"Time::HiRes",
"Apache::Session",
"Cache::Memcached",
"Apache::Session::Memorycached",
"BerkeleyDB",
"BSD::Resource",
"Convert::ASN1",
"XML::Simple",
"String::CRC32",
"Net::LDAP",
"ResourcePool",
"ResourcePool::Resource::Net::LDAP",
"CGI",
"Crypt::CBC",
"Crypt::Blowfish",
"Crypt::SaltedHash",
"Template",
"XML::Parser",
"LWP",
"Lemonldap::Config::Parameters",
"Lemonldap::Portal::Standard",
"Lemonldap::Portal::Session",
"Lemonldap::Handlers::Generic" );


my @dirs = (
"URI-1.35",
"Apache-Session-1.83",
"Apache-Session-Memorycached-2.2.0",
"BerkeleyDB-0.31",
"BSD-Resource-1.28",
"Cache-Memcached-1.21",
"CGI.pm-3.29",
"Convert-ASN1-0.21",
"Crypt-Blowfish-2.10",
"Crypt-CBC-2.22",
"Crypt-SaltedHash-0.05",
"Lemonldap-Config-Parameters-3.2.0",
"Lemonldap-Handlers-Generic-3.3.0",
"Lemonldap-Portal-Session-0.01",
"Lemonldap-Portal-Standard-3.2.0",
"libwww-perl-5.805",
"perl-ldap-0.34",
"ResourcePool-1.0104",
"ResourcePool-Resource-Net-LDAP-1.0002",
"String-CRC32-1.4",
"Sub-Uplevel-0.14",
"Template-Toolkit-2.19",
"Test-Deep-0.096",
"Test-Exception-0.25",
"Test-NoWarnings-0.083",
"Test-Simple-0.70",
"Test-Tester-0.104",
"Time-HiRes-1.9707",
"XML-Parser-2.34",
"XML-Simple-2.16"
);


for( @moduls ){
  print( "get $_\n" ); 
  my $obj = CPAN::Shell->expand('Module', $_);
  $obj->get;
}

chdir( $dest );
my $ltar = "tar -czvhf pax.tar.gz install_subs.pl get_from_cpan.pl ";
for( @dirs ){
  $ltar .= " $_";
}
system( $ltar );

print  "\n--------------------------------------------------\nDONE ........ \n";

